<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Estilos: Color</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section data-bespoke-state='portada'>
      <h1>Estilos: Color</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">color</span></h2>
      <ul class="lista">
        <li>Establece el color de la letra</li>
        <li>Aplica a los contenidos</li>
        <li>Por defecto suele ser negro</li>
        <li>Se hereda (<span class="etiqueta">a</span> no)</li>
      </ul>
      <h2 class="pt-05"><span class="propiedad">background-color</span></h2>
      <ul class="lista">
        <li>Establece el color de fondo</li>
        <li>Por defecto suele ser transparente</li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Asignar valor por:
      <h3 class="ejemplo"><pre><code><span class="valor-css">nombre;</span></code></pre></h3>
      <ul class="lista">
        <li><a href="https://developer.mozilla.org/en-US/docs/Web/CSS/color_value">Lista de nombres</a></li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">p</span> {
  <span class="propiedad">color:</span> <span class="valor-css">blue;</span>
  <span class="propiedad">background-color:</span> <span class="valor-css">gray;</span>
}</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <p class="print-gray" style="color: blue; background-color: gray;">Ejemplo</p>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Asignar valor por:</h2>
      <h3 class="ejemplo"><pre><code><span class="valor-css">rgb(100, 100, 100);</span></code></pre></h3>
      <ul class="lista">
        <li>Red: de 0 a 255</li>
        <li>Green: de 0 a 255</li>
        <li>Blue: de 0 a 255</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">p</span> {
  <span class="propiedad">color:</span> <span class="valor-css">rgb(0, 0, 255);</span>
  <span class="propiedad">background-color:</span> <span class="valor-css">rgb(100, 100, 100);</span>
}</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <p style="color: rgb(0,0,255); background-color: rgb(100, 100, 100);">Ejemplo</p>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Asignar valor por:</h2>
      <h3 class="ejemplo"><pre><code><span class="valor-css">rgba(100, 100, 100, 0.5);</span></code></pre></h3>
      <ul class="lista">
        <li>Igual que el anterior, pero con transparencia</li>
        <li>Valores de 0 a 1 (decimales separados con .)</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">p</span> {
  <span class="propiedad">color:</span> <span class="valor-css">rgba(0, 0, 255, 0.8);</span>
  <span class="propiedad">background-color:</span> <span class="valor-css">rgba(100, 100, 100, 0.5);</span>
}</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <p style="color: rgba(0,0,255,0.8); background-color: rgba(100, 100, 100, 0.5);">Ejemplo</p>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Asignar valor por:</h2>
      <h3 class="ejemplo"><pre><code><span class="valor-css">hsl(165, 3%, 71%);</span></code></pre></h3>
      <ul class="lista">
        <li>Hue (matiz), de 0 a 360</li>
        <li>Saturation (saturación), porcentaje</li>
        <li>Lightness (luminosidad), porcentaje</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">p</span> {
  <span class="propiedad">color:</span> <span class="valor-css">hsl(234, 84%, 52%);</span>
  <span class="propiedad">background-color:</span> <span class="valor-css">hsl(165, 3%, 71%);</span>
}</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <p style="color: hsl(234, 84%, 52%); background-color: hsl(165, 3%, 71%);">Ejemplo</p>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Asignar valor por:</h2>
      <h3 class="ejemplo"><pre><code><span class="valor-css">hsla(165, 3%, 71%, 0.5);</span></code></pre></h3>
      <ul class="lista">
        <li>Igual que el anterior, pero con transparencia</li>
        <li>Valores de 0 a 1 (decimales separados con .)</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">p</span> {
  <span class="propiedad">color:</span> <span class="valor-css">hsla(234, 84%, 52%, 0.8);</span>
  <span class="propiedad">background-color:</span> <span class="valor-css">hsla(165, 3%, 71%, 0.5);</span>
}</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <p style="color: hsla(234, 84%, 52%, 0.8); background-color: hsla(165, 3%, 71%, 0.5);">Ejemplo</p>
        </div>
      </div>
    </section>
    
    <section data-bespoke-state='clean'>
      <h2>Asignar valor por: <span class="valor-css">hexadecimal</span></h2>
      <h3 class="ejemplo"><pre><code><span class="valor-css">#RRGGBB(AA);</span></code></pre></h3>
      <ul class="lista">
        <li>Valores del 00 al FF</li>
        <li>Permite formato abreviado #RGB(A)</li>
        <li><span class="valor-css">AA</span>, Transparencia (opcional)</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">p</span> {
  <span class="propiedad">color:</span> <span class="valor-css">#00F;</span>
  <span class="propiedad">background-color:</span> <span class="valor-css">#66778855;</span>
}</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <p style="color: #00F; background-color: #66778855;">Ejemplo</p>
        </div>
      </div>
    </section>
    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un documento con las etiquetas seḿaticas Html5</li>
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Aplicar distintos colores a las distintas etiquetas</li>
        <li>Aplicar algún color de texto que quede bien con el fondo</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio10/img/resultado.png?inline=false">Ejemplo</a>
      </p>
    </section>
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>